<?php

class Academico extends Conexion {
    /* =============================================
      ACTUALIZAR INFORMACION PERSONAL
      ============================================= */

    public function mdlInsertarActualizarAcademico($datos) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql_verificar = "Select count(*) as total from academico where aca_personadbk = ?";
        $sql_verificar = $conectar->prepare($sql_verificar);
        $sql_verificar->bindValue(1, $datos["aca_personadbk"]);
        $sql_verificar->execute();
        $res= $sql_verificar->fetchAll();
        if (is_array($res) == true and count($res) <> 0) {
            foreach ($res as $tot) {
                $total=$tot["total"];
            }
        }
        if ($total == 0) {
            $sql = "
                    INSERT INTO " . $datos["tabla"] . " 
                    (tipoColegioId,
                    colegioProviene,
                    ubicacionColegio,
                    tituloBachillerato,
                    anioGraduacion,
                    notaBachillerato,
                    otroTitulo,
                    nivel, 
                    otraCarrera,
                    otraInstitucion,
                    aca_personadbk) 
                    VALUES(?,?,?,?,?,?,?,?,?,?,?);
                    ";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["tipoColegioId"]);
            $sql->bindValue(2, $datos["colegioProviene"]);
            $sql->bindValue(3, $datos["ubicacionColegio"]);
            $sql->bindValue(4, $datos["tituloBachillerato"]);
            $sql->bindValue(5, $datos["anioGraduacion"]);
            $sql->bindValue(6, $datos["notaBachillerato"]);
            $sql->bindValue(7, $datos["otroTitulo"]);
            $sql->bindValue(8, $datos["nivel"]);
            $sql->bindValue(9, $datos["otraCarrera"]);
            $sql->bindValue(10, $datos["otraInstitucion"]);
            $sql->bindValue(11, $datos["aca_personadbk"]);
            $sql->execute();
            return $resultado = $sql->fetchAll();
        } else {
            $sql = "UPDATE " . $datos["tabla"] . "  
                SET tipoColegioId = ?,
                colegioProviene = ?, 
                ubicacionColegio = ?,
                tituloBachillerato = ?,
                anioGraduacion = ?,
                notaBachillerato = ?,
                otroTitulo = ?,
                nivel = ?,
                otraCarrera = ?,
                otraInstitucion = ? 
                WHERE aca_personadbk = ?";
            $sql = $conectar->prepare($sql);
            $sql->bindValue(1, $datos["tipoColegioId"]);            
            $sql->bindValue(2, $datos["colegioProviene"]);
            $sql->bindValue(3, $datos["ubicacionColegio"]);
            $sql->bindValue(4, $datos["tituloBachillerato"]);
            $sql->bindValue(5, $datos["anioGraduacion"]);
            $sql->bindValue(6, $datos["notaBachillerato"]);
            $sql->bindValue(7, $datos["otroTitulo"]);
            $sql->bindValue(8, $datos["nivel"]);
            $sql->bindValue(9, $datos["otraCarrera"]);
            $sql->bindValue(10, $datos["otraInstitucion"]);
            $sql->bindValue(11, $datos["aca_personadbk"]);
            $sql->execute();
            return $resultado = $sql->fetchAll();
        }
    }
    public function mdlConsultarRegistro($personadbk) {
        $conectar = parent::conectar();
        parent::set_names();
        $sql = "SELECT count(*)as total FROM academico WHERE aca_personadbk = ?";
        $sql = $conectar->prepare($sql);
        $sql->bindValue(1, $personadbk);
        $sql->execute();
        return $resultado = $sql->fetch();
    }    
}

?>